## 写入excel——实例

我们可以通过下述代码写入excel。
<details><summary>点击查看代码详情</summary>
<hr>

```python
import openpyxl as exl
# 创建一个工作簿对象
wb = exl.Workbook()
# 获取一个激活的sheet表，相当于获取第一个Sheet表
sheet = wb.active
# 给sheet表取一个名字
sheet.title = '一班'
sheet['A1'] = '学号'
sheet['B1'] = '姓名'
sheet['C1'] = '语文'
sheet['D1'] = '数学'
sheet['E1'] = '英语'
sheet['A2'] = '201901'
sheet['B2'] = '王五'
sheet['C2'] = 81.5
sheet['D2'] = 90
sheet['E2'] = 85
wb.save('test.xlsx')
```

</details>

运行代码后，我们可以看到代码当前目录下生成了一个test.xlsx的Excel文档，文件详情如下所示

![得到的文件](https://codechina.csdn.net/m0_47112509/python-junior-course-config/-/raw/master/images/05_002.png)

可以看到，我们通过几行简单代码就创建了一个Excel文档。当然，上述代码中，我们是纯手动的去填表的，如果我们的表有1000行，我们不可能这样手写代码填入信息，因此我们应当借助循环去完成这种枯燥的事情，还记得我们前面学过的章节吗，循环是重复的艺术。

|| _接下来我们通过一个实训操作来练习如何用代码来写入excel，其实也是在举一反三。_ ||
